import static org.junit.Assert.*;

import java.util.LinkedList;

import org.junit.*;

public class Examples {
	
	public Examples() {}
	
	Book harryPotter = new Book("Harry Potter", "HP13.5");
	Book hamlet = new Book("Hamlet", "SHA123");
	Book alice = new Book("Alice in Wonderland", "PR 222");
	
	Library lib = new Library();
	
	
	
	@Before
	public void setUp()
	{
		lib.addBook(harryPotter).addBook(hamlet).addBook(alice);
	}
	
	@Test
	public void testCheckedOut()
	{
		LinkedList<Book> result = new LinkedList<Book>();
		hamlet.isAvailable = false;
		alice.isAvailable = false;
		result.add(hamlet);
		result.add(alice);
		assertEquals(result, lib.checkedOut());
	}

}
